WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core
17284
bin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2025-10-09 12:24:41
-
bash
File
1013.21 KB
0755
2022-04-19 13:41:45
bunzip2
File
30.62 KB
0755
2019-07-04 12:36:02
bzcat
File
30.62 KB
0755
2019-07-04 12:36:02
bzcmp
File
2.09 KB
0755
2019-07-04 12:36:00
bzdiff
File
2.09 KB
0755
2019-07-04 12:36:00
bzegrep
File
3.56 KB
0755
2019-07-04 12:36:00
bzexe
File
4.76 KB
0755
2019-07-04 12:36:00
bzfgrep
File
3.56 KB
0755
2019-07-04 12:36:00
bzgrep
File
3.56 KB
0755
2019-07-04 12:36:00
bzip2
File
30.62 KB
0755
2019-07-04 12:36:02
bzip2recover
File
14.33 KB
0755
2019-07-04 12:36:02
bzless
File
1.27 KB
0755
2019-07-04 12:36:00
bzmore
File
1.27 KB
0755
2019-07-04 12:36:00
cat
File
50.86 KB
0755
2017-03-02 18:07:22
chacl
File
14.41 KB
0755
2016-02-07 11:10:27
chgrp
File
58.86 KB
0755
2017-03-02 18:07:22
chmod
File
54.8 KB
0755
2017-03-02 18:07:22
chown
File
62.86 KB
0755
2017-03-02 18:07:22
chvt
File
10.29 KB
0755
2016-09-22 17:33:23
cp
File
147.48 KB
0755
2017-03-02 18:07:22
cpio
File
138.16 KB
0755
2022-01-25 18:17:01
dash
File
150.46 KB
0755
2016-02-17 20:25:57
date
File
66.86 KB
0755
2017-03-02 18:07:22
dd
File
70.93 KB
0755
2017-03-02 18:07:22
df
File
95.62 KB
0755
2017-03-02 18:07:22
dir
File
123.62 KB
0755
2017-03-02 18:07:22
dmesg
File
59.26 KB
0755
2022-06-14 21:28:54
dnsdomainname
File
14.45 KB
0755
2015-11-24 08:47:21
domainname
File
14.45 KB
0755
2015-11-24 08:47:21
dumpkeys
File
80.4 KB
0755
2016-09-22 17:33:23
echo
File
30.64 KB
0755
2017-03-02 18:07:22
efibootmgr
File
35.65 KB
0755
2015-07-13 23:11:46
egrep
File
28 B
0755
2016-04-29 12:58:18
false
File
26.64 KB
0755
2017-03-02 18:07:22
fc-cache-v6
File
1.85 MB
0755
2025-10-09 12:20:40
fc-cache-v7
File
1.88 MB
0755
2025-10-09 12:19:37
fgconsole
File
10.3 KB
0755
2016-09-22 17:33:23
fgrep
File
28 B
0755
2016-04-29 12:58:18
findmnt
File
48.41 KB
0755
2022-06-14 21:28:54
getfacl
File
23.2 KB
0755
2016-02-07 11:10:27
grep
File
206.27 KB
0755
2016-04-29 12:58:23
gunzip
File
2.25 KB
0755
2022-04-13 13:40:31
gzexe
File
5.86 KB
0755
2022-04-13 13:40:31
gzip
File
95.91 KB
0755
2022-04-13 13:40:32
hostname
File
14.45 KB
0755
2015-11-24 08:47:21
ip
File
367.38 KB
0755
2019-04-16 12:37:11
journalctl
File
487.23 KB
0755
2023-03-03 04:27:52
kbd_mode
File
10.29 KB
0755
2016-09-22 17:33:23
kill
File
22.61 KB
0755
2023-11-01 07:23:47
kmod
File
147.07 KB
0755
2018-11-12 22:07:24
less
File
166.73 KB
0755
2024-04-28 12:17:46
lessecho
File
10.02 KB
0755
2024-04-28 12:17:46
lessfile
File
7.58 KB
0755
2024-04-28 12:17:46
lesskey
File
19.36 KB
0755
2024-04-28 12:17:46
lesspipe
File
7.58 KB
0755
2024-04-28 12:17:46
ln
File
54.84 KB
0755
2017-03-02 18:07:22
loadkeys
File
108.88 KB
0755
2016-09-22 17:33:23
login
File
47 KB
0755
2024-02-07 10:59:50
loginctl
File
443.22 KB
0755
2023-03-03 04:27:52
ls
File
123.62 KB
0755
2017-03-02 18:07:22
lsblk
File
75.47 KB
0755
2022-06-14 21:28:54
lsmod
File
147.07 KB
0755
2018-11-12 22:07:24
mkdir
File
75.05 KB
0755
2017-03-02 18:07:22
mknod
File
62.98 KB
0755
2017-03-02 18:07:22
mktemp
File
38.8 KB
0755
2017-03-02 18:07:22
more
File
38.84 KB
0755
2022-06-14 21:28:54
mount
File
39.21 KB
4755
2022-06-14 21:28:54
mountpoint
File
14.42 KB
0755
2022-06-14 21:28:54
mt
File
67.21 KB
0755
2022-01-25 18:17:01
mt-gnu
File
67.21 KB
0755
2022-01-25 18:17:01
mv
File
127.43 KB
0755
2017-03-02 18:07:22
nc
File
30.52 KB
0755
2012-12-04 01:42:04
nc.openbsd
File
30.52 KB
0755
2012-12-04 01:42:04
netcat
File
30.52 KB
0755
2012-12-04 01:42:04
netstat
File
116.82 KB
0755
2014-06-30 13:19:24
networkctl
File
662.59 KB
0755
2023-03-03 04:27:52
nisdomainname
File
14.45 KB
0755
2015-11-24 08:47:21
open
File
18.52 KB
0755
2016-09-22 17:33:23
openvt
File
18.52 KB
0755
2016-09-22 17:33:23
pidof
File
26.38 KB
0755
2020-02-13 18:38:21
ping
File
43.13 KB
4755
2014-05-07 19:45:47
ping6
File
43.63 KB
4755
2014-05-07 19:45:47
ps
File
95.13 KB
0755
2023-11-01 07:23:47
pwd
File
30.73 KB
0755
2017-03-02 18:07:22
rbash
File
1013.21 KB
0755
2022-04-19 13:41:45
readlink
File
38.7 KB
0755
2017-03-02 18:07:22
rm
File
58.86 KB
0755
2017-03-02 18:07:22
rmdir
File
38.7 KB
0755
2017-03-02 18:07:22
run-parts
File
18.87 KB
0755
2016-01-26 18:17:55
sed
File
71.7 KB
0755
2016-02-12 00:20:22
setfacl
File
35.45 KB
0755
2016-02-07 11:10:27
setfont
File
39.02 KB
0755
2016-09-22 17:33:23
setupcon
File
29.97 KB
0755
2019-04-10 21:25:58
sh
File
150.46 KB
0755
2016-02-17 20:25:57
sh.distrib
File
150.46 KB
0755
2016-02-17 20:25:57
sleep
File
30.67 KB
0755
2017-03-02 18:07:22
ss
File
113.1 KB
0755
2019-04-16 12:37:11
stty
File
70.8 KB
0755
2017-03-02 18:07:22
su
File
39.19 KB
4755
2024-02-07 10:59:50
sync
File
30.67 KB
0755
2017-03-02 18:07:22
systemctl
File
648.38 KB
0755
2023-03-03 04:27:52
systemd
File
1.55 MB
0755
2023-03-02 12:58:02
systemd-ask-password
File
50.45 KB
0755
2023-03-03 04:27:52
systemd-escape
File
38.42 KB
0755
2023-03-03 04:27:52
systemd-hwdb
File
62.58 KB
0755
2023-03-03 04:27:56
systemd-inhibit
File
275.23 KB
0755
2023-03-03 04:27:52
systemd-machine-id-setup
File
46.43 KB
0755
2023-03-03 04:27:52
systemd-notify
File
34.42 KB
0755
2023-03-03 04:27:52
systemd-tmpfiles
File
142.59 KB
0755
2023-03-03 04:27:52
systemd-tty-ask-password-agent
File
66.44 KB
0755
2023-03-03 04:27:52
tailf
File
22.6 KB
0755
2022-06-14 21:28:54
tar
File
374.64 KB
0755
2023-12-06 12:12:24
tempfile
File
10.17 KB
0755
2016-01-26 18:17:55
touch
File
62.92 KB
0755
2017-03-02 18:07:22
true
File
26.64 KB
0755
2017-03-02 18:07:22
udevadm
File
438.61 KB
0755
2023-03-03 04:27:56
umount
File
26.96 KB
4755
2022-06-14 21:28:54
uname
File
30.7 KB
0755
2017-03-02 18:07:22
uncompress
File
2.25 KB
0755
2022-04-13 13:40:31
unicode_start
File
2.7 KB
0755
2016-09-22 17:33:20
vdir
File
123.62 KB
0755
2017-03-02 18:07:22
wdctl
File
30.64 KB
0755
2022-06-14 21:28:54
which
File
946 B
0755
2016-01-26 18:17:55
whiptail
File
26.79 KB
0755
2016-01-18 19:48:45
ypdomainname
File
14.45 KB
0755
2015-11-24 08:47:21
zcat
File
1.89 KB
0755
2022-04-13 13:40:31
zcmp
File
1.74 KB
0755
2022-04-13 13:40:31
zdiff
File
5.65 KB
0755
2022-04-13 13:40:31
zegrep
File
140 B
0755
2022-04-13 13:40:31
zfgrep
File
140 B
0755
2022-04-13 13:40:31
zforce
File
2.08 KB
0755
2022-04-13 13:40:31
zgrep
File
6.3 KB
0755
2022-04-13 13:40:31
zless
File
1.99 KB
0755
2022-04-13 13:40:31
zmore
File
1.87 KB
0755
2022-04-13 13:40:31
znew
File
4.95 KB
0755
2022-04-13 13:40:31
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: zgrep
#!/bin/sh # zgrep -- a wrapper around a grep program that decompresses files as needed # Adapted from a version sent by Charles Levert <charles@comm.polymtl.ca> # Copyright (C) 1998, 2001, 2002, 2006, 2007, 2009, 2010 Free Software # Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH grep='${GREP-'\''/bin/grep'\''}' args= version='zgrep (gzip) 1.6 Copyright (C) 2010-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly.' usage="Usage: $0 [OPTION]... [-e] PATTERN [FILE]... Look for instances of PATTERN in the input FILEs, using their uncompressed contents if they are compressed. OPTIONs are the same as for 'grep'. Report bugs to <bug-gzip@gnu.org>." # sed script to escape all ' for the shell, and then (to handle trailing # newlines correctly) append ' to the last line. escape=' s/'\''/'\''\\'\'''\''/g $s/$/'\''/ ' operands= have_pat=0 files_with_matches=0 files_without_matches=0 no_filename=0 with_filename=0 while test $# -ne 0; do option=$1 shift optarg= case $option in (-[0123456789EFGHIKLPRTUVZabchilnoqrsuvwxyz]*[!0123456789]*) arg2=-\'$(LC_ALL=C expr "X$option" : 'X-.[0-9]*\(.*\)' | LC_ALL=C sed "$escape") eval "set -- $arg2 "'${1+"$@"}' option=$(LC_ALL=C expr "X$option" : 'X\(-.[0-9]*\)');; (--binary-*=* | --[lm]a*=* | --reg*=*) ;; (-[ABCDXdefm] | binary-* | --file | --[lm]a* | --reg*) case ${1?"$option option requires an argument"} in (*\'*) optarg=" '"$(printf '%s\n' "$1" | LC_ALL=C sed "$escape");; (*) optarg=" '$1'";; esac shift;; (-f?*\'*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X-f\(.*\)' | LC_ALL=C sed "$escape") option=-f;; (-f?*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X-f\(.*\)')\' option=-f;; (--file=*\'*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X--file=\(.*\)' | LC_ALL=C sed "$escape") option=--file;; (--file=*) optarg=" '"$(LC_ALL=C expr "X$option" : 'X--file=\(.*\)')\' option=--file;; (--) break;; (-?*) ;; (*) case $option in (*\'*) operands="$operands '"$(printf '%s\n' "$option" | LC_ALL=C sed "$escape") ;; (*) operands="$operands '$option'";; esac ${POSIXLY_CORRECT+break} continue;; esac case $option in (-[drRzZ] | --di* | --exc* | --inc* | --rec* | --nu*) printf >&2 '%s: %s: option not supported\n' "$0" "$option" exit 2;; (-e* | --reg*) have_pat=1;; (-f | --file) # The pattern is coming from a file rather than the command-line. # If the file is actually stdin then we need to do a little # magic, since we use stdin to pass the gzip output to grep. # Turn the -f option into an -e option by copying the file's # contents into OPTARG. case $optarg in (" '-'" | " '/dev/stdin'" | " '/dev/fd/0'") option=-e optarg=" '"$(sed "$escape") || exit 2;; esac have_pat=1;; (--h | --he | --hel | --help) echo "$usage" || exit 2 exit;; (-H | --wi | --wit | --with | --with- | --with-f | --with-fi \ | --with-fil | --with-file | --with-filen | --with-filena | --with-filenam \ | --with-filename) with_filename=1 continue;; (-l | --files-with-*) files_with_matches=1;; (-L | --files-witho*) files_without_matches=1;; (-h | --no-f*) no_filename=1;; (-V | --v | --ve | --ver | --vers | --versi | --versio | --version) echo "$version" || exit 2 exit;; esac case $option in (*\'?*) option=\'$(printf '%s\n' "$option" | LC_ALL=C sed "$escape");; (*) option="'$option'";; esac args="$args $option$optarg" done eval "set -- $operands "'${1+"$@"}' if test $have_pat -eq 0; then case ${1?"missing pattern; try \`$0 --help' for help"} in (*\'*) args="$args -- '"$(printf '%s\n' "$1" | LC_ALL=C sed "$escape");; (*) args="$args -- '$1'";; esac shift fi if test $# -eq 0; then set -- - elif test 1 -lt $# && test $no_filename -eq 0; then with_filename=1 fi l_e=$(eval "(echo e | $grep -H --label=l e) 2>/dev/null") && test "$l_e" = l:e gnuish_grep="test $? -eq 0" if $gnuish_grep && test $with_filename -eq 1; then grep="$grep -H" fi exec 3>&1 res=0 for i do # Fail if gzip or grep (or sed) fails. gzip_status=$( exec 5>&1 (gzip -cdfq -- "$i" 5>&-; echo $? >&5) 3>&- | if test $files_with_matches -eq 1; then eval "$grep$args" >/dev/null && { printf '%s\n' "$i" || exit 2; } elif test $files_without_matches -eq 1; then eval "$grep$args" >/dev/null || { r=$? if test $r -eq 1; then printf '%s\n' "$i" || r=2 fi exit $r } elif $gnuish_grep && test "$i" != -; then eval "$grep --label \"\$i\"$args" elif $gnuish_grep || test $with_filename -eq 0; then eval "$grep$args" else case $i in (*' '* | *'&'* | *'\'* | *'|'*) icolon=$(printf '%s\n' "$i:" | LC_ALL=C sed -e 's/[&\|]/\\&/g' -e '$!s/$/\\/');; (*) icolon="$i:";; esac sed_script="s|^|$icolon|" # Fail if grep or sed fails. r=$( exec 4>&1 (eval "$grep$args" 4>&-; echo $? >&4) 3>&- | LC_ALL=C sed "$sed_script" >&3 4>&- ) && exit $r r=$? test 1 -lt $r && exit $r || exit 2 fi >&3 5>&- ) r=$? test 128 -lt $r && exit $r test "$gzip_status" -eq 0 || test "$gzip_status" -eq 2 || r=2 test $res -lt $r && res=$r done exit $res
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED